@echo off

set LOCALE=0816
set BUILD=Premium

set OLDKERNEL=1

set ROMHDR=ROM\romhdr.bin
set XIP_PATTERNS=ROM\XIP\*

set SYS_PATTERNS=SYS\*

set OEM_PATTERNS=OEM\*

set EXT_PATTERNS=EXT\*\*

set DSM_TEMPLATE=723fb954-d931-4348-b672-82a188e587b5.dsm
set DSM_INCLUDES=*.*

echo.
echo. Welcome to ark666 Kitchen
echo. My ROM builder for HTC Artemis, based on bepe's platform rebuilder.
echo.
pause

IF EXIST temp ( RMDIR /S /Q temp )

TOOLS\platformrebuilder.exe
if not "%errorlevel%"=="0" goto error

echo.
echo Platformrebuilder done! Check for Warnings and press any key...
pause

REM ===========================================================================================

start "Creating ROM..." /D temp /WAIT "%~d0%~p0TOOLS\CreateROM.bat"
if not "%errorlevel%"=="0" goto error

REM ===========================================================================================

If exist FLASH (

cd FLASH

DEL /Q *.*

cd..

) ELSE (

mkdir FLASH

)

move .\temp\OS-new.nb .\FLASH\OS.nb

REM ===========================================================================================

IF EXIST temp ( RMDIR /S /Q temp )


cls

color 70

echo Thanks for using my developments and also thanks to bepe for making powerfull
echo platform rebuilder and other programs.
echo.
echo Your Rom is created in Flash ( OS.nb ). Ready to encode to RUU_Signed.nbh?
echo.
REM ===========================================================================================

Pause

start .\TOOLS\htcrt.exe
if not "%errorlevel%"=="0" goto error